Skip to content

getBatchNumbersForItem

READ

Get batch numbers for item.

POST /api/v1/inventory/getBatchNumbersForItem
curl -X POST '<your-host>/api/v1/inventory/getBatchNumbersForItem' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string"
  }'
Response
{
  "results": [
    {
      "attributes": "…",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "expirationDate": "string",
      "id": "string",
      "itemId": "string",
      "quantity": 0,
      "readableId": "string",
      "sourceDocument": "string",
      "sourceDocumentId": "string",
      "sourceDocumentReadableId": "string",
      "status": "Rejected",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string"
    },
    "isReadOnly": {
      "type": "boolean"
    }
  },
  "required": [
    "itemId"
  ]
}